"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""


async def cluster_configure(hub, ctx, org: str, sddc: str, cluster: str, expected_num_hosts: int = None) -> None:
    """
    **Autogenerated function**
    
    This API provides the storage choices available when reconfiguring storage in a cluster. The constraints returned will give vSAN reconfiguration biases and available vSAN capacities per reconfiguration bias. The constraints also indicate the default vSAN capacity per reconfiguration biases as well as the default reconfiguration bias.

    Args:
        org(str): Organization identifier.
        sddc(str): Sddc identifier.
        cluster(str): cluster identifier.
        expected_num_hosts(int, optional): The expected number of hosts in the cluster. If not specified, returned is based on current number of hosts in the cluster.
. Defaults to None.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.config_storage.cluster_configure(ctx, org=value, sddc=value, cluster=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.config_storage.cluster_configure org=value, sddc=value, cluster=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="get",
        path=ctx.acct.endpoint_url + "/orgs/{org}/sddcs/{sddc}/clusters/{cluster}/config/constraints".format(**{"org": org, "sddc": sddc, "cluster": cluster}),
        query_params={"expected_num_hosts": expected_num_hosts},
        data={}
    )

